﻿using SchoolScheduleContracts.BusinessLogicsContracts;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace SchoolSchedule
{
	public partial class MainForm : Form
	{
		IStudentLogic _logic;
		public MainForm(IStudentLogic logic)
		{
			InitializeComponent();
			_logic = logic;
		}
		private void comboBox1_SelectedIndexChanged(object sender, EventArgs e)
		{
			dataGridView1.DataSource = null;
			dataGridView1.Rows.Clear();
		}

		private void MainForm_Load(object sender, EventArgs e)
		{

		}

		private void ученикиToolStripMenuItem_Click(object sender, EventArgs e)
		{
			var service = Program.ServiceProvider?.GetService(typeof(StudentsForm));
			if (service is StudentsForm form)
			{
				form.ShowDialog();
			}
		}

		private void занятияToolStripMenuItem_Click(object sender, EventArgs e)
		{
			var service = Program.ServiceProvider?.GetService(typeof(LessonsForm));
			if (service is LessonsForm form)
			{
				form.ShowDialog();
			}
		}

		private void предметыToolStripMenuItem_Click(object sender, EventArgs e)
		{
			var service = Program.ServiceProvider?.GetService(typeof(SubjectsForm));
			if (service is SubjectsForm form)
			{
				form.ShowDialog();
			}
		}

		private void учителяToolStripMenuItem_Click(object sender, EventArgs e)
		{
			var service = Program.ServiceProvider?.GetService(typeof(TeachersForm));
			if (service is TeachersForm form)
			{
				form.ShowDialog();
			}
		}
	}
}
